var header = require("./header");
 
function updateTicket(ticketId, subject) {
  var options = header.getHeader();
  options["json"] = {
    subject: subject
  };

  var url = `https://<%= iparam.domain %>.freshdesk.com/api/v2/tickets/${ticketId}`;
  $request.put(url, options).then(function() {
    console.log(`${ticketId} - Subject updated`);
  }, function(error) {
    console.log(`${ticketId} - Error on updating subject`);
    console.log(error);
  });
}
  
exports = {
  update: updateTicket
};
